> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Mesh Link Token To Fetch Wallets

> Requests a Mesh Connect link token for the caller's roleInOrg so they can connect an exchange wallet.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/create-mesh-link-token-to-fetch-wallets
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/create-mesh-link-token-to-fetch-wallets:
    post:
      operationId: createMeshLinkTokenToFetchWallets
      summary: Create Mesh Link Token To Fetch Wallets
      description: >-
        Requests a Mesh Connect link token for the caller's roleInOrg so they
        can connect an exchange wallet.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateMeshLinkTokenToFetchWalletsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateMeshLinkTokenToFetchWalletsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateMeshLinkTokenToFetchWalletsRequest:
      type: object
      properties:
        integrationID:
          type: string
    CreateMeshLinkTokenToFetchWalletsResponse:
      type: object
      properties:
        token:
          type: string
      required:
        - token
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
